Package com.android.server.os

# Class LinphoneTombstoneProtos.HeapObject

java.lang.Object
com.google.protobuf.AbstractMessageLite<MessageType,BuilderType>
com.google.protobuf.GeneratedMessageLite<LinphoneTombstoneProtos.HeapObject,LinphoneTombstoneProtos.HeapObject.Builder>
com.android.server.os.LinphoneTombstoneProtos.HeapObject

All Implemented Interfaces:
  `LinphoneTombstoneProtos.HeapObjectOrBuilder`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`

Enclosing class:
  LinphoneTombstoneProtos

public static final class LinphoneTombstoneProtos.HeapObject extends com.google.protobuf.GeneratedMessageLite<LinphoneTombstoneProtos.HeapObject,LinphoneTombstoneProtos.HeapObject.Builder> implements LinphoneTombstoneProtos.HeapObjectOrBuilder
Protobuf type `HeapObject`

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`LinphoneTombstoneProtos.HeapObject.Builder`
Protobuf type `HeapObject`

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageLite

`com.google.protobuf.GeneratedMessageLite.DefaultInstanceBasedParser<T extends com.google.protobuf.GeneratedMessageLite<T,?>>, com.google.protobuf.GeneratedMessageLite.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageLite.ExtendableMessage<MessageType,BuilderType>,BuilderType extends com.google.protobuf.GeneratedMessageLite.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageLite.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageLite.ExtendableMessage<MessageType,BuilderType>,BuilderType extends com.google.protobuf.GeneratedMessageLite.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageLite.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageLite.ExtendableMessage<MessageType,BuilderType>,BuilderType extends com.google.protobuf.GeneratedMessageLite.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageLite.GeneratedExtension<ContainingType extends com.google.protobuf.MessageLite,Type extends Object>, com.google.protobuf.GeneratedMessageLite.MethodToInvoke, com.google.protobuf.GeneratedMessageLite.SerializedForm`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ADDRESS_FIELD_NUMBER`
`static final int`
`ALLOCATION_BACKTRACE_FIELD_NUMBER`
`static final int`
`ALLOCATION_TID_FIELD_NUMBER`
`static final int`
`DEALLOCATION_BACKTRACE_FIELD_NUMBER`
`static final int`
`DEALLOCATION_TID_FIELD_NUMBER`
`static final int`
`SIZE_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageLite

`unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type
Method
Description
`protected final Object`
`dynamicMethod(com.google.protobuf.GeneratedMessageLite.MethodToInvoke method, Object arg0, Object arg1)`
`long`
`getAddress()`
`uint64 address = 1;`
`LinphoneTombstoneProtos.BacktraceFrame`
`getAllocationBacktrace(int index)`
`repeated .BacktraceFrame allocation_backtrace = 4;`
`int`
`getAllocationBacktraceCount()`
`repeated .BacktraceFrame allocation_backtrace = 4;`
`List<LinphoneTombstoneProtos.BacktraceFrame>`
`getAllocationBacktraceList()`
`repeated .BacktraceFrame allocation_backtrace = 4;`
`LinphoneTombstoneProtos.BacktraceFrameOrBuilder`
`getAllocationBacktraceOrBuilder(int index)`
`repeated .BacktraceFrame allocation_backtrace = 4;`
`List<? extends LinphoneTombstoneProtos.BacktraceFrameOrBuilder>`
`getAllocationBacktraceOrBuilderList()`
`repeated .BacktraceFrame allocation_backtrace = 4;`
`long`
`getAllocationTid()`
`uint64 allocation_tid = 3;`
`LinphoneTombstoneProtos.BacktraceFrame`
`getDeallocationBacktrace(int index)`
`repeated .BacktraceFrame deallocation_backtrace = 6;`
`int`
`getDeallocationBacktraceCount()`
`repeated .BacktraceFrame deallocation_backtrace = 6;`
`List<LinphoneTombstoneProtos.BacktraceFrame>`
`getDeallocationBacktraceList()`
`repeated .BacktraceFrame deallocation_backtrace = 6;`
`LinphoneTombstoneProtos.BacktraceFrameOrBuilder`
`getDeallocationBacktraceOrBuilder(int index)`
`repeated .BacktraceFrame deallocation_backtrace = 6;`
`List<? extends LinphoneTombstoneProtos.BacktraceFrameOrBuilder>`
`getDeallocationBacktraceOrBuilderList()`
`repeated .BacktraceFrame deallocation_backtrace = 6;`
`long`
`getDeallocationTid()`
`uint64 deallocation_tid = 5;`
`static LinphoneTombstoneProtos.HeapObject`
`getDefaultInstance()`
`long`
`getSize()`
`uint64 size = 2;`
`static LinphoneTombstoneProtos.HeapObject.Builder`
`newBuilder()`
`static LinphoneTombstoneProtos.HeapObject.Builder`
`newBuilder(LinphoneTombstoneProtos.HeapObject prototype)`
`static LinphoneTombstoneProtos.HeapObject`
`parseDelimitedFrom(InputStream input)`
`static LinphoneTombstoneProtos.HeapObject`
`parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.HeapObject`
`parseFrom(byte[] data)`
`static LinphoneTombstoneProtos.HeapObject`
`parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.HeapObject`
`parseFrom(com.google.protobuf.ByteString data)`
`static LinphoneTombstoneProtos.HeapObject`
`parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.HeapObject`
`parseFrom(com.google.protobuf.CodedInputStream input)`
`static LinphoneTombstoneProtos.HeapObject`
`parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.HeapObject`
`parseFrom(InputStream input)`
`static LinphoneTombstoneProtos.HeapObject`
`parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.HeapObject`
`parseFrom(ByteBuffer data)`
`static LinphoneTombstoneProtos.HeapObject`
`parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<LinphoneTombstoneProtos.HeapObject>`
`parser()`

### Methods inherited from class com.google.protobuf.GeneratedMessageLite

`createBuilder, createBuilder, dynamicMethod, dynamicMethod, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, emptyProtobufList, equals, getDefaultInstanceForType, getParserForType, getSerializedSize, hashCode, isInitialized, isInitialized, makeImmutable, mergeLengthDelimitedField, mergeUnknownFields, mergeVarintField, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBuilderForType, newMessageInfo, newRepeatedGeneratedExtension, newSingularGeneratedExtension, parseDelimitedFrom, parseDelimitedFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parsePartialFrom, parseUnknownField, registerDefaultInstance, toBuilder, toString, writeTo`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`getDefaultInstanceForType, isInitialized`

## Field Details

### ADDRESS_FIELD_NUMBER

public static final int ADDRESS_FIELD_NUMBER

See Also:
  - Constant Field Values

### SIZE_FIELD_NUMBER

public static final int SIZE_FIELD_NUMBER

See Also:
  - Constant Field Values

### ALLOCATION_TID_FIELD_NUMBER

public static final int ALLOCATION_TID_FIELD_NUMBER

See Also:
  - Constant Field Values

### ALLOCATION_BACKTRACE_FIELD_NUMBER

public static final int ALLOCATION_BACKTRACE_FIELD_NUMBER

See Also:
  - Constant Field Values

### DEALLOCATION_TID_FIELD_NUMBER

public static final int DEALLOCATION_TID_FIELD_NUMBER

See Also:
  - Constant Field Values

### DEALLOCATION_BACKTRACE_FIELD_NUMBER

public static final int DEALLOCATION_BACKTRACE_FIELD_NUMBER

See Also:
  - Constant Field Values

## Method Details

### getAddress

public long getAddress()
`uint64 address = 1;`

Specified by:
  `getAddress` in interface `LinphoneTombstoneProtos.HeapObjectOrBuilder`
Returns:
  The address.

### getSize

public long getSize()
`uint64 size = 2;`

Specified by:
  `getSize` in interface `LinphoneTombstoneProtos.HeapObjectOrBuilder`
Returns:
  The size.

### getAllocationTid

public long getAllocationTid()
`uint64 allocation_tid = 3;`

Specified by:
  `getAllocationTid` in interface `LinphoneTombstoneProtos.HeapObjectOrBuilder`
Returns:
  The allocationTid.

### getAllocationBacktraceList

public List<LinphoneTombstoneProtos.BacktraceFrame> getAllocationBacktraceList()
`repeated .BacktraceFrame allocation_backtrace = 4;`

Specified by:
  `getAllocationBacktraceList` in interface `LinphoneTombstoneProtos.HeapObjectOrBuilder`

### getAllocationBacktraceOrBuilderList

public List<? extends LinphoneTombstoneProtos.BacktraceFrameOrBuilder> getAllocationBacktraceOrBuilderList()
`repeated .BacktraceFrame allocation_backtrace = 4;`

### getAllocationBacktraceCount

public int getAllocationBacktraceCount()
`repeated .BacktraceFrame allocation_backtrace = 4;`

Specified by:
  `getAllocationBacktraceCount` in interface `LinphoneTombstoneProtos.HeapObjectOrBuilder`

### getAllocationBacktrace

public LinphoneTombstoneProtos.BacktraceFrame getAllocationBacktrace(int index)
`repeated .BacktraceFrame allocation_backtrace = 4;`

Specified by:
  `getAllocationBacktrace` in interface `LinphoneTombstoneProtos.HeapObjectOrBuilder`

### getAllocationBacktraceOrBuilder

public LinphoneTombstoneProtos.BacktraceFrameOrBuilder getAllocationBacktraceOrBuilder(int index)
`repeated .BacktraceFrame allocation_backtrace = 4;`

### getDeallocationTid

public long getDeallocationTid()
`uint64 deallocation_tid = 5;`

Specified by:
  `getDeallocationTid` in interface `LinphoneTombstoneProtos.HeapObjectOrBuilder`
Returns:
  The deallocationTid.

### getDeallocationBacktraceList

public List<LinphoneTombstoneProtos.BacktraceFrame> getDeallocationBacktraceList()
`repeated .BacktraceFrame deallocation_backtrace = 6;`

Specified by:
  `getDeallocationBacktraceList` in interface `LinphoneTombstoneProtos.HeapObjectOrBuilder`

### getDeallocationBacktraceOrBuilderList

public List<? extends LinphoneTombstoneProtos.BacktraceFrameOrBuilder> getDeallocationBacktraceOrBuilderList()
`repeated .BacktraceFrame deallocation_backtrace = 6;`

### getDeallocationBacktraceCount

public int getDeallocationBacktraceCount()
`repeated .BacktraceFrame deallocation_backtrace = 6;`

Specified by:
  `getDeallocationBacktraceCount` in interface `LinphoneTombstoneProtos.HeapObjectOrBuilder`

### getDeallocationBacktrace

public LinphoneTombstoneProtos.BacktraceFrame getDeallocationBacktrace(int index)
`repeated .BacktraceFrame deallocation_backtrace = 6;`

Specified by:
  `getDeallocationBacktrace` in interface `LinphoneTombstoneProtos.HeapObjectOrBuilder`

### getDeallocationBacktraceOrBuilder

public LinphoneTombstoneProtos.BacktraceFrameOrBuilder getDeallocationBacktraceOrBuilder(int index)
`repeated .BacktraceFrame deallocation_backtrace = 6;`

### parseFrom

public static LinphoneTombstoneProtos.HeapObject parseFrom(ByteBuffer data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.HeapObject parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.HeapObject parseFrom(com.google.protobuf.ByteString data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.HeapObject parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.HeapObject parseFrom(byte[] data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.HeapObject parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.HeapObject parseFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static LinphoneTombstoneProtos.HeapObject parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static LinphoneTombstoneProtos.HeapObject parseDelimitedFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static LinphoneTombstoneProtos.HeapObject parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static LinphoneTombstoneProtos.HeapObject parseFrom(com.google.protobuf.CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static LinphoneTombstoneProtos.HeapObject parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilder

public static LinphoneTombstoneProtos.HeapObject.Builder newBuilder()

### newBuilder

public static LinphoneTombstoneProtos.HeapObject.Builder newBuilder(LinphoneTombstoneProtos.HeapObject prototype)

### dynamicMethod

protected final Object dynamicMethod(com.google.protobuf.GeneratedMessageLite.MethodToInvoke method, Object arg0, Object arg1)

Specified by:
  `dynamicMethod` in class `com.google.protobuf.GeneratedMessageLite<LinphoneTombstoneProtos.HeapObject,LinphoneTombstoneProtos.HeapObject.Builder>`

### getDefaultInstance

public static LinphoneTombstoneProtos.HeapObject getDefaultInstance()

### parser

public static com.google.protobuf.Parser<LinphoneTombstoneProtos.HeapObject> parser()